Description

We noticed some severe bugs working with in-line records within workspaces that essentially make workspaces unusable until they
are resolved.

At the end of this post, I have a list of steps that will trigger the bugs. It notes how TYPO3 6.1, 6.2 and 6.2 with TV are affected. I also
have a short video that will show the behavior clearly.

http://www.busynoggin.com/fileadmin/videos/workflow-bugs-140416.mp4

Inline records in workspaces have been an issue for some time, but the addition of FAL makes it worse because now even basic
image content elements are broken. There are similar FAL problems in 6.1, but in terms of how it presents itself to the user in 6.2 it is
worse.

==================
Steps to Reproduce==================

1) Create an image CE on the live site with 2 images inside of it.
2) Switch to a workspace, open the image CE, change the header and save.
3) Open the live page in a separate browser.
4) Open the workspace preview.

Bug #1 -  Live and workspace each show both original and workspace record, duplicating the images
6.2 Intro: Bug exists.
6.1 Intro: Not a bug, but the workspace preview is probably showing live.
6.2 TV: The live site is correct. The workspace shows both original and workspace.

5) Delete image 1 from the CE.  Note that the child record disappears.
6) Save the CE and reload the form.

BUG #2 - Deleted child elements are still visible, with no visual change to indicate they are deleted.
6.2 Intro: Bug exists
6.1 Intro: Not a bug
6.2 TV: Bug exists

7) Open page on live site and workspace preview after deleting image 1.

BUG #3: Deleted child elements are still visible in workspace preview (may be the same as BUG #1)
6.2 Intro: Bug exists
6.1 Intro: Bug exists.
6.2 TV: Live is still ok.  Workspace exhibits same bug

8) Add a new image in the workspace

BUG #4: Newly created child elements are duplicated and visible on live site immediately (may be the same as BUG #1)
6.2 Intro: Bug exists
6.1 Intro: Changes are not visible on live site (good) or on workspace (bad)
6.2 TV: After adding a new element, duplicates are shown for both original images and new image on the live site and in the
workspace preview.

9) Close the CE and look at the preview within the page module (still in the workspace).
10) Leave the workspace and look at the preview within the page module.

BUG #5: Page module thumbnails are incorrect
6.2 Intro: Bug exists
6.1 intro: Thumbnails reflect the live site
6.2 TV: Bug exists

12) Publish the changes.
13) Open the page on the live site.

BUG #6: Unchanged content elements are duplicated upon publishing
6.2 Intro: Bug exists
6.1 Intro: Not a bug
6.2 TV: Bug exists

Related issues:
duplicates Core - Task # 43916: File Repository does not work with Workspaces Resolved 2012-12-12

History
#1 - 2014-04-29 23:36 - Ron Hall

I have a TYPO3 Intro package with a testing page for this issue available for download at:
www.busynoggin.com/fileadmin/videos/t3_bugs.zip

The database is in typo3conf. BE user is admin / password.

Feel free to use use install to check the issue.

This does not have TemplaVoila installed. The only difference in the manifestation of this bug in TV vs the intro package is that TV does show correctly
in the live space up to the point where you add a new record in the workspace. However, in the preview the bug shows exactly the same as the intro
package. So, I doubt you will need a TV install to work on it.

#2 - 2014-04-30 11:35 - Tim Klein-Hitpaß

could be a similar problem:
http://forge.typo3.org/issues/43916
and may be fixed with:
https://review.typo3.org/#/c/29712/

maybe you can test your bugs again with these patched files
 - typo3/sysext/backend/Classes/Utility/BackendUtility.php
   (https://review.typo3.org/#/c/29712/2/typo3/sysext/backend/Classes/Utility/BackendUtility.php)
 - typo3/sysext/core/Classes/Resource/FileRepository.php
   (https://review.typo3.org/#/c/29712/2/typo3/sysext/core/Classes/Resource/FileRepository.php)

#3 - 2014-05-01 20:14 - Jeff Segars

Thanks for the pointer to the latest patch.  It seems to fix the majority of the issues noted in this ticket. Bug #2 and Bug #3 noted above are still issues
with the patch but everything else appears to be resolved.

#4 - 2014-05-02 22:05 - Oliver Hader
- Parent task set to #58284

#5 - 2014-05-16 16:43 - Oliver Hader
- Subject changed from Severe Issues with inline records when in workspaces. to Severe Issues with FAL records when in workspaces.

#6 - 2014-05-23 21:41 - Lorenz Ulrich

Thanks for your elaborate issue, Ron. I can confirm your findings and that after applying the patch in #43916 Bugs 2 and 3 persist.

#7 - 2014-06-06 08:42 - Oliver Hader
- Status changed from New to Needs Feedback

Hi everybody,
I've overworked the patch for #43916 and reproduced the behavior with new functional tests in issue #59276 - however, testing the bugfix of #43916
manually is sufficient. Thanks in advance for your feedback.

#8 - 2014-06-10 11:38 - Lorenz Ulrich

Thanks for your rework. Now only bug 2 persists :-).

#9 - 2014-06-10 18:00 - Lorenz Ulrich

The latest patch set in #43916 solves all open problems here according to my testing.

@ Ron: Could you test as well?

#10 - 2014-06-11 12:30 - Benjamin Mack
- Status changed from Needs Feedback to Resolved

Applied in changeset commit:ed5b0d124dcc7b8975e37b9afda6fae18c8aff6e.

#11 - 2014-06-11 14:17 - Oliver Hader
- % Done changed from 0 to 100
#12 - 2014-06-12 13:39 - Oliver Hader
- Assigned To set to Benjamin Mack

#13 - 2014-06-18 22:45 - Ron Hall

We have tested this with the dev version of TYPO3 and the fix tests good with us. Thanks all of you for addressing this. It is very important for
workspaces.
